## fakechroot 0.6+1.2.4

=== debian/changelog ===
fakechroot (0.6+1.2.4) unstable; urgency=low

  * Implement wrappers for mkstemp64 and mkdtemp functions.
  * Clean up the code.
  * Fix ldd.fake script.
  * Modified path for debootstrap.

 -- Piotr Roszatycki <dexter@debian.org>  Sat,  5 Feb 2005 20:36:56 +0100

fakechroot (0.5+1.2.4) unstable; urgency=low

  * Fix mkstemp(2) function. Some other cleanups to the code.
  * Relative paths to the fakechroot script.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  4 Feb 2005 17:20:26 +0100

fakechroot (0.4+1.2.4) unstable; urgency=low

  * Implement wrappers for <sys/xattr.h>.
  * Build with faked named as fakechrootd.
  * fakeroot package is not necessary to run fakechroot.

 -- Piotr Roszatycki <dexter@debian.org>  Fri,  4 Feb 2005 15:35:17 +0100

fakechroot (0.3+1.2.4) unstable; urgency=low

  * Merged with fakeroot 1.2.4 and fakechroot 0.2.6.1 (downloaded from
    http://www.altlinux.org/). Thanks to ALT Linux guys for maintaining
    the code.
  * Patch updated to the latest debootstrap. Closes: #247199.
  * Fixed typo in package description. Closes: #252503.
  * The new version builds with gcc-3.4. Closes: #258855.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  3 Feb 2005 12:38:54 +0100
