=== debian/rules ===
#!/usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.30, of Fri,  6 Aug 2004

DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')

SHELL=/bin/bash

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " build-arch         compile the architecture-dependent package"; \
	echo " build-indep        compile the architecture-independent package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: build-only

.PHONY: build-arch-only build-arch
build-arch-only: debian/build-arch-stamp
build-arch: build-arch-only

.PHONY: build-indep-only build-indep
build-indep-only: debian/build-indep-stamp
build-indep: build-indep-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control templates
rules: debian/rules
debian/rules: $(shell which yada) debian/packages-tmp
	yada rebuild rules

control: debian/control
debian/control: $(shell which yada) debian/packages-tmp
	yada rebuild control

templates: debian/templates
debian/templates: $(shell which yada) debian/packages-tmp
	yada rebuild templates

debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
	@[ -f $(shell which yada) -a -f debian/rules ]
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="fakechroot" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'CC=$${CC:-gcc}';\
	echo -E 'CFLAGS=$${CFLAGS:--Wall -pedantic -g}';\
	echo -E 'CXXFLAGS=$${CFLAGS:--Wall -pedantic -g}';\
	echo -E 'if [ "$${DEB_BUILD_OPTIONS#*noopt}" != "$$DEB_BUILD_OPTIONS" ]; then';\
	echo -E '    CFLAGS="$$CFLAGS -O0"';\
	echo -E '    CXXFLAGS="$$CXXFLAGS -O0"';\
	echo -E 'else';\
	echo -E '    CFLAGS="$$CFLAGS -O2"';\
	echo -E '    CXXFLAGS="$$CXXFLAGS -O2"';\
	echo -E 'fi';\
	echo -E '';\
	echo -E 'if ! [ -f autoconf-stamp ]; then';\
	echo -E '    rm -f aclocal.m4 configure';\
	echo -E '    aclocal-1.7';\
	echo -E '    autoheader';\
	echo -E '    libtoolize --copy';\
	echo -E '    automake-1.7 --add-missing --copy';\
	echo -E '    autoconf';\
	echo -E '    pushd fake';\
	echo -E '        aclocal-1.7';\
	echo -E '        automake-1.7 --add-missing --copy';\
	echo -E '        autoconf';\
	echo -E '    popd';\
	echo -E '    touch autoconf-stamp';\
	echo -E 'fi';\
	echo -E '';\
	echo -E 'if ! [ -f configure-stamp ]; then';\
	echo -E '    install -d build-tree-lib build-tree-fake build-tree-lib64';\
	echo -E '    pushd build-tree-lib';\
	echo -E '        CC="$$CC" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --libdir=/usr/lib/libfakechroot';\
	echo -E '    popd';\
	echo -E '    pushd build-tree-fake';\
	echo -E '    CC="$$CC" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
	echo -E '        ../fake/configure --prefix=/usr --mandir=/usr/share/man';\
	echo -E '    popd';\
	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "sparc-linux" ]; then';\
	echo -E '        pushd build-tree-lib64';\
	echo -E '        CC="gcc -m64" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux';\
	echo -E '        popd';\
	echo -E '    fi';\
	echo -E '    install -d build-tree-lib-tcp build-tree-fake-tcp build-tree-lib64-tcp';\
	echo -E '    pushd build-tree-lib-tcp';\
	echo -E '        CC="$$CC" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --libdir=/usr/lib/libfakechroot \';\
	echo -E '                --with-ipc=tcp --program-suffix=-tcp';\
	echo -E '    popd';\
	echo -E '    pushd build-tree-fake-tcp';\
	echo -E '    CC="$$CC" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
	echo -E '        ../fake/configure --prefix=/usr --mandir=/usr/share/man \';\
	echo -E '                --with-ipc=tcp --program-suffix=-tcp';\
	echo -E '    popd';\
	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "sparc-linux" ]; then';\
	echo -E '        pushd build-tree-lib64-tcp';\
	echo -E '        CC="gcc -m64" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux \';\
	echo -E '                --with-ipc=tcp --program-suffix=-tcp';\
	echo -E '        popd';\
	echo -E '    fi';\
	echo -E '    touch configure-stamp';\
	echo -E 'fi';\
	echo -E '';\
	echo -E 'if ! [ -f build-stamp ]; then';\
	echo -E '    pushd build-tree-lib';\
	echo -E '        make';\
	echo -E '    popd';\
	echo -E '    pushd build-tree-fake';\
	echo -E '        make';\
	echo -E '    popd';\
	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "sparc-linux" ]; then';\
	echo -E '        pushd build-tree-lib64';\
	echo -E '            make';\
	echo -E '        popd';\
	echo -E '    fi';\
	echo -E '    pushd build-tree-lib-tcp';\
	echo -E '        make';\
	echo -E '    popd';\
	echo -E '    pushd build-tree-fake-tcp';\
	echo -E '        make';\
	echo -E '    popd';\
	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "sparc-linux" ]; then';\
	echo -E '        pushd build-tree-lib64-tcp';\
	echo -E '            make';\
	echo -E '        popd';\
	echo -E '    fi';\
	echo -E '    touch build-stamp';\
	echo -E 'fi') | /bin/bash
	touch debian/build-stamp

debian/build-arch-stamp:
	@[ -f $(shell which yada) -a -f debian/rules ]
	touch debian/build-arch-stamp

debian/build-indep-stamp:
	@[ -f $(shell which yada) -a -f debian/rules ]
	touch debian/build-indep-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-fakechroot/DEBIAN/control

debian/tmp-fakechroot/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-fakechroot
	umask 022 && install -d debian/tmp-fakechroot/DEBIAN
	install -d debian/tmp-fakechroot/usr/share/doc/fakechroot
	umask 022; yada generate copyright \
	  > debian/tmp-fakechroot/usr/share/doc/fakechroot/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-fakechroot/usr/share/doc/fakechroot/changelog
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-fakechroot" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-fakechroot/DEBIAN" \
	  && export PACKAGE="fakechroot" \
	  && export SOURCE="fakechroot" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
