## fakechroot 0.9+1.3

=== debian/changelog ===
fakechroot (0.9+1.3) unstable; urgency=medium

  * Clean up the code - no static variables.
  * narrow_chroot_path(path) macro returns original path if it is outside
    chroot so getcwd(2) works for /dev and /proc.
  * Implement lutimes(2) function.
  * Fixed path for biarch libraries on sparc and amd64.
  * Updated ldd.fake script. Now works on biarch systems.
  * Biarch support for s390.
  * Updated documentation.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 20 Jun 2005 10:04:24 +0200

fakechroot (0.8+1.3) unstable; urgency=medium

  * Merged with fakeroot 1.3.
  * chroot(2) function includes default path to LD_LIBRARY_PATH.
  * Fixed scandir64(3) function.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 14 Jun 2005 16:20:12 +0200

fakechroot (0.7+1.2.4) unstable; urgency=low

  * Implement wrapper for scandir(3) function. Now, the run-parts(8) works
    correctly. Closes: #312409.
  * Implement wrapper for glob(3) functions. Thanks to ALT Linux guys.
  * Implement wrapper for glob_pattern_p(3) functions.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 14 Jun 2005 11:56:47 +0200
