=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: utils
 Priority: optional
 Standards-Version: 3.6.1
-Build-Depends: automake1.7, autoconf, libtool, sharutils, file, libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], yada (>= 0.30)
+Build-Depends: automake1.7, autoconf, libtool, sharutils, file, libc6-dev-s390x [s390], libc6-dev-sparc64 [sparc], gcc-3.4 [amd64], ia32-libs-dev [amd64], yada (>= 0.34)
 
 Package: fakechroot
 Architecture: any
