=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # Generated automatically from debian/packages
-# by yada v0.30, of Fri,  6 Aug 2004
+# by yada v0.34, of Mon, 25 Apr 2005
 
 DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
@@ -100,99 +100,78 @@
 	echo -E 'fi';\
 	echo -E '';\
 	echo -E 'if ! [ -f configure-stamp ]; then';\
-	echo -E '    install -d build-tree-lib build-tree-fake build-tree-lib64';\
-	echo -E '    pushd build-tree-lib';\
+	echo -E '    install -d build-tree-lib-sysv build-tree-fake-sysv build-tree-lib64-sysv';\
+	echo -E '    pushd build-tree-lib-sysv';\
 	echo -E '        CC="$$CC" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
-	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --libdir=/usr/lib/libfakechroot';\
+	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --libdir=/usr/lib/libfakechroot \';\
+	echo -E '                --program-suffix=-sysv';\
 	echo -E '    popd';\
-	echo -E '    pushd build-tree-fake';\
+	echo -E '    pushd build-tree-fake-sysv';\
 	echo -E '    CC="$$CC" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
-	echo -E '        ../fake/configure --prefix=/usr --mandir=/usr/share/man';\
+	echo -E '        ../fake/configure --prefix=/usr --mandir=/usr/share/man \';\
+	echo -E '                --program-suffix=-sysv';\
 	echo -E '    popd';\
+	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "s390-linux" ]; then';\
+	echo -E '        pushd build-tree-lib64-sysv';\
+	echo -E '        CC="gcc -m64" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
+	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=s390-linux --host=s390x-linux \';\
+	echo -E '                --program-suffix=-sysv';\
+	echo -E '        popd';\
+	echo -E '    fi';\
 	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "sparc-linux" ]; then';\
-	echo -E '        pushd build-tree-lib64';\
+	echo -E '        pushd build-tree-lib64-sysv';\
 	echo -E '        CC="gcc -m64" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
-	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux';\
+	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux \';\
+	echo -E '                --program-suffix=-sysv';\
+	echo -E '        popd';\
+	echo -E '    fi';\
+	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "x86_64-linux" ]; then';\
+	echo -E '        pushd build-tree-lib64-sysv';\
+	echo -E '        CC="gcc-3.4 -m32" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
+	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=x86_64-linux --host=i386-linux \';\
+	echo -E '                --program-suffix=-sysv';\
 	echo -E '        popd';\
 	echo -E '    fi';\
 	echo -E '    install -d build-tree-lib-tcp build-tree-fake-tcp build-tree-lib64-tcp';\
 	echo -E '    pushd build-tree-lib-tcp';\
 	echo -E '        CC="$$CC" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
 	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --libdir=/usr/lib/libfakechroot \';\
-	echo -E '                --with-ipc=tcp --program-suffix=-tcp';\
+	echo -E '                --program-suffix=-tcp --with-ipc=tcp';\
 	echo -E '    popd';\
 	echo -E '    pushd build-tree-fake-tcp';\
 	echo -E '    CC="$$CC" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
 	echo -E '        ../fake/configure --prefix=/usr --mandir=/usr/share/man \';\
-	echo -E '                --with-ipc=tcp --program-suffix=-tcp';\
+	echo -E '                --program-suffix=-tcp --with-ipc=tcp';\
 	echo -E '    popd';\
+	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "s390-linux" ]; then';\
+	echo -E '        pushd build-tree-lib64-tcp';\
+	echo -E '        CC="gcc -m64" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
+	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=s390-linux --host=s390x-linux \';\
+	echo -E '                --program-suffix=-tcp --with-ipc=tcp';\
+	echo -E '        popd';\
+	echo -E '    fi';\
 	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "sparc-linux" ]; then';\
 	echo -E '        pushd build-tree-lib64-tcp';\
 	echo -E '        CC="gcc -m64" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
 	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=sparc-linux --host=sparc64-linux \';\
-	echo -E '                --with-ipc=tcp --program-suffix=-tcp';\
+	echo -E '                --program-suffix=-tcp --with-ipc=tcp';\
+	echo -E '        popd';\
+	echo -E '    fi';\
+	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "x86_64-linux" ]; then';\
+	echo -E '        pushd build-tree-lib64-tcp';\
+	echo -E '        CC="gcc-3.4 -m32" CFLAGS="$$CFLAGS" CXXFLAGS="$$CXXFLAGS" \';\
+	echo -E '            ../configure --prefix=/usr --mandir=/usr/share/man --build=x86_64-linux --host=i386-linux \';\
+	echo -E '                --program-suffix=-tcp x86_64-linux';\
 	echo -E '        popd';\
 	echo -E '    fi';\
 	echo -E '    touch configure-stamp';\
 	echo -E 'fi';\
 	echo -E '';\
 	echo -E 'if ! [ -f build-stamp ]; then';\
-	echo -E '    pushd build-tree-lib';\
+	echo -E '    pushd build-tree-lib-sysv';\
 	echo -E '        make';\
 	echo -E '    popd';\
-	echo -E '    pushd build-tree-fake';\
+	echo -E '    pushd build-tree-fake-sysv';\
 	echo -E '        make';\
 	echo -E '    popd';\
-	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "sparc-linux" ]; then';\
-	echo -E '        pushd build-tree-lib64';\
-	echo -E '            make';\
-	echo -E '        popd';\
-	echo -E '    fi';\
-	echo -E '    pushd build-tree-lib-tcp';\
-	echo -E '        make';\
-	echo -E '    popd';\
-	echo -E '    pushd build-tree-fake-tcp';\
-	echo -E '        make';\
-	echo -E '    popd';\
-	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "sparc-linux" ]; then';\
-	echo -E '        pushd build-tree-lib64-tcp';\
-	echo -E '            make';\
-	echo -E '        popd';\
-	echo -E '    fi';\
-	echo -E '    touch build-stamp';\
-	echo -E 'fi') | /bin/bash
-	touch debian/build-stamp
-
-debian/build-arch-stamp:
-	@[ -f $(shell which yada) -a -f debian/rules ]
-	touch debian/build-arch-stamp
-
-debian/build-indep-stamp:
-	@[ -f $(shell which yada) -a -f debian/rules ]
-	touch debian/build-indep-stamp
-
-.PHONY: install-tree
-install-tree: install-tree-any
-install-tree-any: \
-	debian/tmp-fakechroot/DEBIAN/control
-
-debian/tmp-fakechroot/DEBIAN/control: debian/build-stamp debian/control
-	rm -rf debian/tmp-fakechroot
-	umask 022 && install -d debian/tmp-fakechroot/DEBIAN
-	install -d debian/tmp-fakechroot/usr/share/doc/fakechroot
-	umask 022; yada generate copyright \
-	  > debian/tmp-fakechroot/usr/share/doc/fakechroot/copyright
-	install -m 644 -p debian/changelog \
-	  debian/tmp-fakechroot/usr/share/doc/fakechroot/changelog
-	@umask 022 \
-	  && export pwd="$$(pwd)" \
-	  && export ROOT="$$(pwd)/debian/tmp-fakechroot" \
-	  && export TMPROOT="$$(pwd)/debian/tmp" \
-	  && export CONTROL="$$(pwd)/debian/tmp-fakechroot/DEBIAN" \
-	  && export PACKAGE="fakechroot" \
-	  && export SOURCE="fakechroot" \
-	  && export VERSION="$(VERSION)" \
-	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
-	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
-	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
-	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
+	echo -E '    if [ "$$DEB_HOST_GNU_TYPE" = "s390-linux" ] || \';\
