## fakechroot 2.14

=== debian/changelog ===
fakechroot (2.14-1) unstable; urgency=low

  * New upstream release:
    - Compiles with gcc-4.5. Closes: #606003.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 18 Dec 2010 01:58:03 +0100

fakechroot (2.13.1-1) unstable; urgency=low

  * New upstream release.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 30 Nov 2010 00:46:03 +0100

fakechroot (2.13-1) unstable; urgency=low

  * New upstream release:
    - Fixes were made for realpath(3) and ftw(3) functions. apt-ftparchive(1)
      command currently is working. Closes: #604082.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 29 Nov 2010 15:10:02 +0100

fakechroot (2.12-1) unstable; urgency=low

  * New upstream release:
    - All Debian patches were applied upstream.
    - New function statvfs: "apt-get" command should work if called in
      non-Debian host system.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 13 Nov 2010 20:16:46 +0100

fakechroot (2.11-2) unstable; urgency=low

  * Fixed FTBFS on kFreeBSD. Closes: #596637.
  * More verbose "make test".

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 21 Sep 2010 15:56:37 +0200

fakechroot (2.11-1) unstable; urgency=low

  * New upstream release:
    - All Debian patches were applied upstream.
    - Fixed getsockname(2) and getpeername(2) functions and bug when
      "host 127.0.0.1" is called. Closes: #596435.
    - Fixed canonicalize_file_name(3) function and bug when "man-db" command
      is called.

 -- Piotr Roszatycki <dexter@debian.org>  Sun, 12 Sep 2010 20:15:43 +0200

fakechroot (2.10-2) unstable; urgency=low

  * Fixed FTBFS on kFreeBSD and skip some tests which fail on this arch.
  * Added kfreebsd-amd64 to biarch architectures.
  * Biarch library dependencies moved to "Suggests". Closes: #594818.
  * Ignore warnings about missing manpages for fakechroot's wrappers.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 02 Sep 2010 11:56:16 +0200

fakechroot (2.10-1) unstable; urgency=low

  * New upstream release:
    - Fixed "undefined symbol: rpl_malloc" error for compiled 32-bit library
      on 64-bit architecture by dropping AC_FUNC_MALLOC in configure.ac.
      Closes: #511296.
    - Fixed chroot(2) function and bug when getcwd failed to return proper
      paths when root included ".". Closes: #548691.
    - Fixed readlink(2) function and bug when symlink targeted long path name.
      Closes: #552258.
    - Fixed __lxstat(3), __lxstat64(3), lstat(2) and lstat64(2) functions and
      bug when debootstrap failed on dpkg's assertion `r == stab.st_size'.
      Closes: #561991.
    - New function popen(3). Closes: #582847.
    - New function utimensat(2). Works with the latest /bin/cp -dp command.
      Closes: #588508.
    - Fixed an example session in manual page. Closes: #532091.
    - Applied NMU. Closes: #566653.
      - Put files in lib32 directories directly. Closes: #533002.
      - Fix conflicting types for 'scandir'. Closes: #552891.
  * Switch to 3.0 (quilt) source format.
  * Dropped fake libfakechroot library. Closes: #572111.
  * debian/rules, debian/packages:
    - Switched to debhelper.
  * debian/control:
    - VCS switched to launchpad's bazaar.
    - Dropped conflict on old libc6-i386.
  * debian/copyright:
    - Machine-readable.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 26 Aug 2010 23:09:46 +0200

fakechroot (2.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Put files in lib32 directories directly (Closes: #533002).
  * Fix conflicting types for 'scandir' (Closes: #552891).

 -- Luk Claes <luk@debian.org>  Sun, 24 Jan 2010 10:08:13 +0000

fakechroot (2.9-1) unstable; urgency=medium

  * src/libfakechroot.c:
    - Fixed getpeername(2) and getsockname(2).  Thanks to Axel Thimm and
      Fedora people.
    - Fixed were made for execve(2):
      . Always copy necessary variables to new environment.
      . Do not make duplicates of environment variables.  Thanks to Richard
        W.M. Jones.
    - Fixed were made for chroot(2).  It is possible to escape chroot.
      Thanks to Richard W.M. Jones.
    - Fixed were made for mktemp(2).  There was a buffer overflow.  Thanks to
      Mikhail Gusarov.
    - New function: futimesat(2).  Fixes "touch -m" command.
    - New functions: bindtextdomain(3), notify_add_watch(2).
  * test/*:
    - More test units was added, "make check" works as expected.
  * debian/packages:
    - Autodetected biarch libdir for amd64 architecture on Debian and Ubuntu.
    - Build-Depends: lsb-release

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 30 Mar 2009 14:55:26 +0200

fakechroot (2.8-1) unstable; urgency=medium

  * src/libfakechroot.c:
    - Fixed __fxstatat64(3) function which broke chown(1) command on i386
      architecture.  Closes: #473682.
    - Fixed FreeBSD port.  All *64(2) functions are optional.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 25 Jul 2008 15:01:40 +0200

fakechroot (2.7.1-1) unstable; urgency=low

  * src/libfakechroot.c:
    - Supports uclibc which doesn't provide getwd(2) function.
  * m4/readlink_argtypes.m4, src/libfakechroot.c:
    - Compiles with older libc: configure script detects readlink type of
      return value.
  * debian/packages:
    - Supports cross compiling.
  * test/fakechroot.sh:
    - Can be called with $PREFIX environment variable.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 17 Jul 2008 13:50:10 +0200

fakechroot (2.7-1) unstable; urgency=medium

  * Apply all NMU patches.  Thank you, people!
  * Improved stability and support for the latest libc.  Closes: #420870.
  * src/libfakechroot.c:
    - Fixed readlink(2) function to be ssize_t as it is in newer libc.
      Thanks Sune Vuorela.
    - New functions: __fxstatat(2), __fxstatat64(2), fchmodat(2), fchownat(2),
      __openat(2), __openat64(2), unlinkat(2).  It fixes last coreutils.
      Thanks Martin Pitt and Daniel Kahn Gillmor.  Closes: #473682.
    - New functions: mkdirat(2), renameat(2).
    - Fixed chroot(2) function to not change current working directory.
      Closes: #477447.

