=== debian/control ===
Source: fakechroot
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: utils
Priority: optional
Standards-Version: 3.9.1
Build-Depends:
 libc6-dev-i386 [amd64],
 libc6-dev-amd64 [i386],
 libc6-dev-powerpc [ppc64],
 libc6-dev-s390x [s390],
 libc6-dev-sparc64 [sparc],
 libc0.1-dev-i386 [kfreebsd-amd64],
 gcc-multilib [amd64 i386 powerpc s390 sparc kfreebsd-amd64],
 debhelper (>= 7.0.50~)
Homepage: http://fakechroot.alioth.debian.org/
Vcs-Browser: http://bazaar.launchpad.net/~dexter/fakechroot/sid/files
Vcs-Bzr: lp:fakechroot

Package: fakechroot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: ${shlibs-biarch:Suggests}
Description: gives a fake chroot environment
 This package provides a library which overrides libc functions, so
 it is possible to use root-specific tools without root privileges.
 .
 In fake chroot you can install i.e. Debian bootstrap, create developer's
 environment and build packages inside chroot'ed system using standard
 non-root user account.
