## fakechroot 2.15

=== debian/changelog ===
fakechroot (2.15-1) unstable; urgency=low

  * New upstream release:
    - New function faccessat(2) was added.  It fixes "test -r" command.
      Thanks to Johannes Schauer.  Closes: #641079.
    - The popen(3) function were reimplemented based on OpenBSD source to
      prevent some coredumps with newer GNU C Library.  Closes: #637119.
    - Manpage explains that fakeroot should be called in the fakechroot
      environment to prevent some problems with incorrect order of preloaded
      libraries.  Closes: #611156.
  * Multiarch support.  Splitting package into fakechroot and libfakechroot.
    Thanks to Johannes Schauer.  Closes: #632954, #635625
  * Attached example for debootstrap usage to fakechroot package.

 -- Piotr Roszatycki <dexter@debian.org>  Fri, 30 Sep 2011 14:07:46 +0200
