=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  non-root user account.
 
 Package: libfakechroot
+Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
