=== debian/watch ===
version=3
http://github.com/fakechroot/fakechroot/downloads /downloads/fakechroot/fakechroot/fakechroot-(.*)\.tar\.gz
