## fakechroot 2.17.2

=== debian/changelog ===
fakechroot (2.17.2-1) unstable; urgency=low

  * New upstream release.
  * Supports parallel building.
  * Apply patch from upstream's master: enables verbose compiler mode.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 24 Dec 2013 21:03:57 +0100

fakechroot (2.17.1-2) unstable; urgency=medium

  * Apply patch from upstream's master: fixes "-h" option for fakechroot
    script.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 16 Dec 2013 20:17:52 +0100

fakechroot (2.17.1-1) unstable; urgency=low

  * New upstream release:
    - It is safe to use relative paths which won't escape from fake chroot.
      Closes: #533560, #582478, #582479, #663967.
    - More bugfixes. Closes: #631390, #649146, #664121, #691538, #694827,
      #697465, #700816, #720641, #720643, #720645, #720647, #720648, #730981.
  * Use dh_autoreconf to update config.guess and config.sub for arm64. Thanks
    to Colin Watson. Closes: #726161.

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 05 Dec 2013 22:14:14 +0100
