=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Piotr Roszatycki <dexter@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8.1.3)
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 8.1.3), dh-autoreconf
 Homepage: http://fakechroot.alioth.debian.org/
-Vcs-Browser: http://bazaar.launchpad.net/~dexter/fakechroot/sid/files
-Vcs-Bzr: lp:fakechroot
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=fakechroot/fakechroot.git
+Vcs-Git: https://alioth.debian.org/anonscm/git/fakechroot/fakechroot.git
 
 Package: fakechroot
 Architecture: all
