=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-dependency-tracking --with-libpath=no V=1 PROVEFLAGS="$(PROVEFLAGS)"
+	dh_auto_configure -- --enable-dependency-tracking --with-libpath=no V=1 EXTRA_CFLAGS='-Wall' PROVEFLAGS="$(PROVEFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install --parallel
