=== debian/watch ===
version=3
https://github.com/dex4er/fakechroot/releases /dex4er/fakechroot/archive/([^/]*)\.tar\.gz
